> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List integrations

> Returns the integrations of the site and the state of each connection.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/integrations
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/integrations:
    get:
      tags:
        - Integrations
      summary: List integrations
      description: Returns the integrations of the site and the state of each connection.
      operationId: list_connections
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionsResponse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    ConnectionsResponse:
      type: object
      properties:
        connections:
          type: array
          items:
            $ref: '#/components/schemas/ConnectionResponse'
      required:
        - connections
    ConnectionResponse:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
          nullable: true
        provider:
          $ref: '#/components/schemas/IntegrationProvider'
        status:
          $ref: '#/components/schemas/ConnectionStatus'
        configured:
          type: boolean
        imports_data:
          type: boolean
        property_reference:
          type: string
        property_label:
          type: string
        scopes:
          type: array
          items:
            type: string
        last_error:
          type: string
        connected_at:
          type: string
          format: date-time
          nullable: true
        last_sync_at:
          type: string
          format: date-time
          nullable: true
        credential_expires_at:
          type: string
          format: date-time
          nullable: true
        expiring_soon:
          type: boolean
        last_sync:
          allOf:
            - $ref: '#/components/schemas/SyncRunResponse'
          nullable: true
      required:
        - configured
        - connected_at
        - credential_expires_at
        - expiring_soon
        - imports_data
        - last_error
        - last_sync_at
        - property_label
        - property_reference
        - provider
        - scopes
        - status
        - uuid
    IntegrationProvider:
      enum:
        - gsc
        - ga4
        - google_ads
        - meta_ads
      type: string
      description: |-
        * `gsc` - gsc
        * `ga4` - ga4
        * `google_ads` - google_ads
        * `meta_ads` - meta_ads
    ConnectionStatus:
      enum:
        - disconnected
        - connected
        - error
      type: string
      description: |-
        * `disconnected` - disconnected
        * `connected` - connected
        * `error` - error
    SyncRunResponse:
      type: object
      properties:
        outcome:
          $ref: '#/components/schemas/SyncOutcome'
        rows_written:
          type: integer
        days_covered:
          type: integer
        first_day:
          type: string
          format: date
          nullable: true
        last_day:
          type: string
          format: date
          nullable: true
        failure_reason:
          type: string
        started_at:
          type: string
          format: date-time
          nullable: true
        finished_at:
          type: string
          format: date-time
          nullable: true
      required:
        - days_covered
        - failure_reason
        - finished_at
        - first_day
        - last_day
        - outcome
        - rows_written
        - started_at
    SyncOutcome:
      enum:
        - running
        - succeeded
        - failed
      type: string
      description: |-
        * `running` - running
        * `succeeded` - succeeded
        * `failed` - failed
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.